#!/usr/local/bin/php
<?php
	
	header( 'content-type: text/html; charset=utf-8' );

	error_reporting(0);
	date_default_timezone_set('Europe/Paris');

	$site = $_SERVER["SERVER_NAME"];
	if( ($site == "localhost") || ($site == "127.0.0.1") ) 
	{

		$db_host    = "localhost";
		$db_user   = "root";
		$db_pass   = ""; 
		$db_name   = "test";
	}
	else
	{

		$db_host    = "analogdepat.mysql.db";
		$db_user   = "analogdepat";
		$db_pass   = "Un92pac007";
		$db_name   = "analogdepat";
	}

	backup_tables($db_host,$db_user,$db_pass,$db_name);

function backup_tables($host,$user,$pass,$name)
{
	$annee = date('Y');
	$table_reservation  = "reservation" .$annee;
	$link = mysql_connect($host,$user,$pass);
	mysql_select_db($name,$link);


	$tables = array();
	$tables[] = "classement";
	$tables[] = "evolution";
	$tables[] = "partie";
	$tables[] = $table_reservation;

	foreach($tables as $table)
	{
		$result = mysql_query('SELECT * FROM '.$table);
		$num_fields = mysql_num_fields($result);
		$return.= 'DROP TABLE '.$table.';';
		$row2 = mysql_fetch_row(mysql_query('SHOW CREATE TABLE '.$table));
		$return.= "\n\n".$row2[1].";\n\n";
		for ($i = 0; $i < $num_fields; $i++) 
		{
			while($row = mysql_fetch_row($result))
			{
				$return.= 'INSERT INTO '.$table.' VALUES(';
				for($j=0; $j<$num_fields; $j++) 
					$row[$j] = addslashes($row[$j]);
				{
					$row[$j] = ereg_replace("\n","\\n",$row[$j]);
					if (isset($row[$j])) { $return.= '"'.$row[$j].'"' ; } else { $return.= '""'; }
					if ($j<($num_fields-1)) { $return.= ','; }
				}
				$return.= ");\n";
			}
		}


		$return.="\n\n\n";
	}


	$jour = date('d-m-Y');
	$heure = date("H_i_s");
	//$handle = fopen('db-backup-'.time().'-'.(md5(implode(',',$tables))).'.sql','w+');
	$infos = $jour.'-'.$heure;
	chdir('Backup');
	$handle = fopen('db-backup-'.$infos.'.sql','w+');
	//$handle = fopen($infos.'.sql','w+');
	fwrite($handle,$return);
	fclose($handle);

}


?>